cURL
curl --request GET \
--url https://partner-api.getoliver.com/services/core/open_api/v1/appointments \
--header 'Authorization: Bearer <token>' \
--header 'X-Client-Id: <x-client-id>'import requests
url = "https://partner-api.getoliver.com/services/core/open_api/v1/appointments"
headers = {
"X-Client-Id": "<x-client-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-Id': '<x-client-id>', Authorization: 'Bearer <token>'}
};
fetch('https://partner-api.getoliver.com/services/core/open_api/v1/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"page": 123,
"per_page": 123,
"total_pages": 123,
"total_count": 123,
"content": [
{
"id": "<string>",
"remote_id": "<string>",
"status": "<string>",
"booking_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"referral_source": "<string>",
"referral_campaign": "<string>",
"referral_medium": "<string>",
"client_first_name": "<string>",
"client_last_name": "<string>",
"client_email": "<string>",
"client_phone": "<string>",
"client_type": "<string>",
"patient_name": "<string>",
"remote_client_id": "<string>",
"remote_patient_id": "<string>"
}
]
},
"message": "<string>"
}{
"success": true,
"message": "<string>",
"data": {}
}{
"success": true,
"message": "<string>",
"data": {}
}{
"success": true,
"message": "<string>",
"data": {}
}Appointments Endpoints
List Appointments
List appointments
GET
/
services
/
core
/
open_api
/
v1
/
appointments
cURL
This endpoint is currently proposed and subject to change. Functionality, request/response structure, and availability may be modified or removed in future releases. Use with caution in production environments.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The location id of the practice
Query Parameters
Start date of the range in which results were last updated
End date of the range in which results were last updated. If not provided, the current date will be used.
Page number
Number of results per page. Max is 100.
⌘I

